Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonConfigConstants

java.lang.Object
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonConfigConstants

public class MegafonConfigConstants extends Object
Константы конфига модуля

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLIENT_ID_KEY`
  `static final String`
  `CLIENT_SECRET_KEY`
  `static final String`
  `ILK_TARIFF_GROUP`
  `static final String`
  `KASSA_CERT_PASSWORD`
  `static final String`
  `KASSA_CERT_PATH`
  `static final String`
  `KASSA_HOST`
  `static final String`
  `KASSA_LOGIN`
  `static final String`
  `KASSA_NAME`
  `static final String`
  `KASSA_PASSWORD`
  `static final String`
  `PASSWORD_KEY`
  `static final String`
  `REALM_KEY`
  `static final String`
  `TEST_URL_KEY`
  `static final String`
  `URL_KEY`
  `static final String`
  `URL_TOKEN_KEY`
  `static final String`
  `URL_TOKEN_TEST_KEY`
  `static final String`
  `USER_NAME_KEY`
  `static final String`
  `WORK_MODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonConfigConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WORK_MODE

    public static final String WORK_MODE
    See Also:
      - Constant Field Values

  - ### REALM_KEY

    public static final String REALM_KEY
    See Also:
      - Constant Field Values

  - ### URL_TOKEN_TEST_KEY

    public static final String URL_TOKEN_TEST_KEY
    See Also:
      - Constant Field Values

  - ### URL_TOKEN_KEY

    public static final String URL_TOKEN_KEY
    See Also:
      - Constant Field Values

  - ### URL_KEY

    public static final String URL_KEY
    See Also:
      - Constant Field Values

  - ### TEST_URL_KEY

    public static final String TEST_URL_KEY
    See Also:
      - Constant Field Values

  - ### USER_NAME_KEY

    public static final String USER_NAME_KEY
    See Also:
      - Constant Field Values

  - ### PASSWORD_KEY

    public static final String PASSWORD_KEY
    See Also:
      - Constant Field Values

  - ### CLIENT_SECRET_KEY

    public static final String CLIENT_SECRET_KEY
    See Also:
      - Constant Field Values

  - ### CLIENT_ID_KEY

    public static final String CLIENT_ID_KEY
    See Also:
      - Constant Field Values

  - ### KASSA_LOGIN

    public static final String KASSA_LOGIN
    See Also:
      - Constant Field Values

  - ### KASSA_PASSWORD

    public static final String KASSA_PASSWORD
    See Also:
      - Constant Field Values

  - ### KASSA_HOST

    public static final String KASSA_HOST
    See Also:
      - Constant Field Values

  - ### KASSA_NAME

    public static final String KASSA_NAME
    See Also:
      - Constant Field Values

  - ### KASSA_CERT_PATH

    public static final String KASSA_CERT_PATH
    See Also:
      - Constant Field Values

  - ### KASSA_CERT_PASSWORD

    public static final String KASSA_CERT_PASSWORD
    See Also:
      - Constant Field Values

  - ### ILK_TARIFF_GROUP

    public static final String ILK_TARIFF_GROUP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MegafonConfigConstants

    public MegafonConfigConstants()